namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.ComponentModel;
    using System.Linq;
    using Eco.Core.Items;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    using Eco.Gameplay.Objects;
    using Eco.Gameplay.EcopediaRoot;
    
    [Serialized]
	[LocDisplayName("Tomato S U P R E M E")]
    [Weight(500)]
	[Ecopedia("Food", "Cooking", createAsSubPage: true, display: InPageTooltip.DynamicTooltip)]
    public partial class TomatoSUPREMEItem : FoodItem
    {
        public override LocString DisplayDescription                      { get { return Localizer.DoStr("There is a lot Tomatos in it."); } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 15, Fat = 10, Protein = 10, Vitamins = 26};
        public override float Calories                          { get { return 1200; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(AdvancedCookingSkill), 4)]
    public partial class TomatoSUPREMERecipe : RecipeFamily
    {
        public TomatoSUPREMERecipe()
        {
			var product = new Recipe(
				"TomatoSUPREME",
				Localizer.DoStr("Tomato S U P R E M E"),
				new IngredientElement[]
				{
					new IngredientElement(typeof(FishFiletItem), 4, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
					new IngredientElement(typeof(VegetableMedleyItem), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
					new IngredientElement(typeof(RiceItem), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
					new IngredientElement(typeof(TomatoSauceItem), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
					new IngredientElement(typeof(CornmealItem), 2, typeof(AdvancedCookingSkill), typeof(AdvancedCookingLavishResourcesTalent)),   
				},
				new CraftingElement<TomatoSUPREMEItem>(1)
			);
			this.Initialize(Localizer.DoStr("Tomato S U P R E M E"), typeof(TomatoSUPREMERecipe));
			this.Recipes = new List<Recipe> { product };
			this.LaborInCalories = CreateLaborInCaloriesValue(20, typeof(AdvancedCookingSkill), typeof(TomatoSUPREMERecipe), this.UILink());
			this.CraftMinutes = CreateCraftTimeValue(typeof(TomatoSUPREMERecipe), this.UILink(), 20, typeof(AdvancedCookingSkill), typeof(AdvancedCookingFocusedSpeedTalent), typeof(AdvancedCookingParallelSpeedTalent));  
			this.Initialize(Localizer.DoStr("Tomato S U P R E M E"), typeof(TomatoSUPREMERecipe));
            CraftingComponent.AddRecipe(typeof(StoveObject), this);
        }
    }
}